import request from '@/utils/request'
// 用户
/** 获取用户列表 */
export function fetchUserList(query) {
  return request({
    url: '/sys/user/list',
    method: 'get',
    params: query
  })
}

/** 获取用户信息 */
export function getUser(id) {
  return request({
    url: '/sys/user/' + id,
    method: 'get'
  })
}

/** 修改用户信息 */
export function updateUser(id, data) {
  return request({
    url: '/sys/user/update/' + id,
    method: 'post',
    data: data
  })
}

/** 创建用户 */
export function createUser(data) {
  return request({
    url: '/sys/user/create',
    method: 'post',
    data: data
  })
}

/** 删除用户 */
export function deleteUser(id) {
  return request({
    url: '/sys/user/delete/' + id,
    method: 'post'
  })
}

// 角色
/** 获取角色列表 */
export function fetchRoleList(query) {
  return request({
    url: '/sys/role/list',
    method: 'get',
    params: query
  })
}

/** 获取角色信息 */
export function getRole(id) {
  return request({
    url: '/sys/role/' + id,
    method: 'get'
  })
}

/** 更新角色信息 */
export function updateRole(id, data) {
  return request({
    url: '/sys/role/update/' + id,
    method: 'post',
    data: data
  })
}

/** 创建角色 */
export function createRole(data) {
  return request({
    url: '/sys/role/create',
    method: 'post',
    data: data
  })
}

/** 删除角色 */
export function deleteRole(id) {
  return request({
    url: '/sys/role/delete/' + id,
    method: 'post'
  })
}

// 菜单
/** 获取菜单列表 */
export function fetchMenuList(query) {
  return request({
    url: '/sys/menu/list',
    method: 'get',
    params: query
  })
}

/** 获取菜单信息 */
export function getMenu(id) {
  return request({
    url: '/sys/menu/' + id,
    method: 'get'
  })
}

/** 修改保存菜单 */
export function updateMenu(id, data) {
  return request({
    url: '/sys/menu/update/' + id,
    method: 'post',
    data: data
  })
}

/** 添加菜单 */
export function createMenu(data) {
  return request({
    url: '/sys/menu/create',
    method: 'post',
    data: data
  })
}

/** 删除菜单 */
export function deleteMenu(id) {
  return request({
    url: '/sys/menu/delete/' + id,
    method: 'post'
  })
}

export function updateMenuSelective(id, data) {
  return request({
    url: '/sys/menu/update/selective/' + id,
    method: 'post',
    data: data
  })
}

/** 获取菜单列表 tree */
export function sysMenuTree(params) {
  return request({
    url: '/sys/menu/tree',
    method: 'get',
    params
  })
}

/** 获取授权牌模板列表 */
export function fetchAuthTempList(params) {
  return request({
    url: '/auth/template/list',
    method: 'get',
    params
  })
}

/** 添加编辑保存授权牌模板 */
export function authTempSave(data) {
  return request({
    url: '/auth/template/save',
    method: 'post',
    data
  })
}

/** 添加编辑保存授权牌模板 */
export function authTempUpdate(data) {
  // return request({
  //   url: '/shop/authImage/update/all',
  //   method: 'post',
  //   data
  // })
  return fetch(`${process.env.VUE_APP_BASE_API}/shop/authImage/update/all`, {
    body: JSON.stringify(data),
    method: 'POST'
  })
}

/** 获取机构可用模板（供应商可用模板） */
export function authTempUsed(params) {
  return request({
    url: '/auth/template/form/data',
    method: 'GET',
    params
  })
}
